# $Revision: 1.43 $, $Date: 2010/08/04 20:54:41 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for speedy data storage, retrieval, and compression
Summary(pl.UTF-8):	Biblioteka do szybkiego zapisywania, odtwarzania i kompresji danych
Name:		eet
Version:	1.3.2
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	8e3ad419baaab4a9046f64d357583705
URL:		http://enlightenment.org/p.php?p=about/efl/eet
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	eina-devel
BuildRequires:	gnutls-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
Eet is a tiny library designed to write an arbitary set of chunks of
data to a file and optionally compress each chunk (very much like a
zip file) and allow fast random-access reading of the file later on.
It does not do zip as a zip itself has more complexity than is needed,
and it was much simpler to implement this once here.

It also can encode and decode data structures in memory, as well as
image data for saving to eet files or sending across the network to
other machines, or just writing to arbitary files on the system. All
data is encoded in a platform independant way and can be written and
read by any architecture.

%description -l pl.UTF-8
Eet to mała biblioteka zaprojektowana do zapisu dowolnego zbioru
porcji danych do pliku i opcjonalnej kompresji każdej porcji (podobnie
do pliku zip) oraz umożliwienia później szybkiego odczytu pliku ze
swobodnym dostępem. Nie jest to zip, jako że sam zip jest bardziej
złożony niż trzeba, a było dużo prościej zaimplementować to tak, jak
jest.

Biblioteka może także kodować i dekodować struktury danych w pamięci,
a także dane obrazów do zapisu do plików eet lub wysyłania po sieci na
inne maszyny, lub po prostu zapisywania do dowolnych plików w
systemie. Wszystkie dane są kodowane w sposób niezależny od platformy
i mogą być zapisywane i odczytywane na dowolnej architekturze.

%package devel
Summary:	Header files for Eet library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Eet
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libjpeg-devel
Requires:	zlib-devel

%description devel
Header files for Eet library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Eet.

%package static
Summary:	Static Eet library
Summary(pl.UTF-8):	Statyczna biblioteka Eet
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Eet library.

%description static -l pl.UTF-8
Statyczna biblioteka Eet.

%prep
%setup -q

%build
rm -f ltmain.sh
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING-PLAIN README
%attr(755,root,root) %{_bindir}/eet
%attr(755,root,root) %{_libdir}/libeet.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libeet.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libeet.so
%{_libdir}/libeet.la
%{_pkgconfigdir}/eet.pc
%{_includedir}/Eet.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libeet.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eet.spec,v $
Revision 1.43  2010/08/04 20:54:41  witekfl
- up to 1.3.2

Revision 1.42  2010/05/19 22:30:02  sparky
- BR: pkgconfig

Revision 1.41  2010/04/11 06:27:02  arekm
- release 4

Revision 1.40  2010/01/28 20:15:01  amateja
- release 3

Revision 1.39  2009/07/11 19:55:17  arekm
- release 2

Revision 1.38  2008/11/16 17:21:12  qboosh
- use releases dir
- release 1

Revision 1.37  2008/10/10 17:11:45  qboosh
- simplified setup

Revision 1.36  2008/10/09 18:00:25  pablo
- updated
- using "official" snapshots

Revision 1.35  2008/08/25 16:39:59  pablo
- updated to 20080813 snap

Revision 1.34  2008/06/03 20:50:11  qboosh
- updated URL

Revision 1.33  2008-06-03 16:49:22  qboosh
- updated ac/am BRs

Revision 1.32  2008-06-03 16:24:04  qboosh
- ghost soname symlink

Revision 1.31  2008-06-01 14:16:28  cactus
- missing - in log

Revision 1.30  2008-06-01 14:11:41  cactus
- up to 1.0.1

Revision 1.29  2007-09-09 11:48:38  qboosh
- updated URL

Revision 1.28  2007/09/08 22:17:06  qboosh
- updated to 0.9.10.038
- dropped INSTALL from doc (nothing useful after installation)

Revision 1.27  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.25  2006/12/23 18:15:37  arekm
- rel 2

Revision 1.24  2006/11/30 23:07:15  sparky
- up to 0.9.10.036, test programs removed
- regenerate auto* to force correct libtool

Revision 1.23  2006/09/10 19:04:45  sparky
- up to 0.9.10.032

Revision 1.22  2006/07/20 00:58:36  sparky
- up to 0.9.10.031

Revision 1.21  2006/07/10 15:50:16  sparky
- up to 0.9.10.030

Revision 1.20  2006/07/06 02:04:45  sparky
- up to 0.9.10.029

Revision 1.19  2006/06/27 00:04:31  sparky
- 0.9.10.028

Revision 1.18  2006/06/19 17:23:55  sparky
- up to 0.9.10.027

Revision 1.17  2006/03/31 14:52:45  sparky
- up to 0.9.10.026

Revision 1.16  2006/03/17 19:32:32  sparky
- up to 0.9.10.025

Revision 1.15  2006/03/12 23:58:13  sparky
- up to 0.9.10.024

Revision 1.14  2006/01/14 17:41:17  sparky
- up to 0.9.10.023

Revision 1.13  2005/12/03 15:52:40  sparky
- no nead to use autotools, but CXX must no tb set

Revision 1.12  2005/12/03 14:09:07  sparky
- up to 0.9.10.022

Revision 1.11  2005/11/30 13:53:27  charles
- updated to 0.9.10.020
- bcond static_libs

Revision 1.10  2005/11/20 00:37:12  sparky
- up to 0.9.10.019

Revision 1.9  2005/10/11 22:20:26  charles
- updated to 0.9.10.018

Revision 1.8  2005/08/25 11:50:22  charles
- proper URL

Revision 1.7  2005/08/24 18:32:54  charles
- updated md5

Revision 1.6  2005/08/24 18:25:23  charles
- updated to 0.9.10.013
- new Source0 ("official" snapshots)
- -devel R: libjpeg-devel, zlib-devel

Revision 1.5  2005/07/10 07:17:59  sparky
- Source0: ftp -> http

Revision 1.4  2005/07/09 13:06:58  sparky
- new snapshot
- status: builds, works stable

Revision 1.3  2005/03/30 22:12:36  sparky
- updated to 20050329 snap

Revision 1.2  2005/01/08 00:24:53  qboosh
- pl, unifications

Revision 1.1  2005/01/07 19:38:22  sparky
- NEW EFL (E Fundation Libraries)
- builds well but still so much to do...
- anyone knows polish ?
